<?php
namespace anyMARI\Api;

use anyMARI\Common\anyMariModel;

/**
 * Class Payer
 * @property string paymentMethod
 *
 */
class Payer extends anyMariModel
{

    /**
     * Valid Values: ["anymari"]
     * method will be like anymari, paypal, stripe etc
     * @param  string  $method
     * @return $this
     */
    public function setPaymentMethod($method)
    {
        $this->paymentMethod = $method;
        return $this;
    }

    public function getPaymentMethod()
    {
        return $this->paymentMethod;
    }

}
